List inbound endpoints
GET /v1/inbound-endpoints
GET
/v1/inbound-endpoints
List all inbound endpoints for the authenticated project. Supports cursor-based pagination.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” limit
integer
Maximum number of results to return
Example
50 cursor
string
Pagination cursor from previous response
Responses
Section titled “ Responses ”Inbound endpoints retrieved successfully
object
data
Array<object>
Summary inbound endpoint info for list responses
object
id
string format: uuid
Example
01935abc-def0-7123-4567-890abcdef012 name
string
Example
Stripe webhooks url
string format: uri
Example
https://myapp.com/webhooks/stripe active
boolean
Example
true paused
boolean
created_at
string format: date-time
Example
2025-12-01T10:00:00Z meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
req_xyz123 next_cursor
Cursor for the next page of results (opaque, do not parse)
string
Example
{ "data": [ { "id": "01935abc-def0-7123-4567-890abcdef012", "name": "Stripe webhooks", "url": "https://myapp.com/webhooks/stripe", "active": true, "paused": false, "created_at": "2025-12-01T10:00:00Z" } ], "meta": { "request_id": "req_xyz123", "next_cursor": null }}Unauthorized - Invalid or missing API key
object
error
object
code
Machine-readable error code
string
Example
INVALID_REQUEST message
Human-readable error message
string
Example
endpoint must be a valid HTTPS URL meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
req_xyz123Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }} Personalize Examples
Enter your credentials to populate code examples throughout the docs.